Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Feb 2022 21:09:49 +0200

> From: Jonas Bernoulli <[email-masked]>
> Date: Tue, 15 Feb 2022 17:53:26 +0100
> Cc: [email-masked]
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Philipp Stephani <[email-masked]> writes:
> >
> >> Transient has its own manual (transient.org/.texi), but that's missing
> >> from the version shipped with Emacs.  Could we add the manual to the
> >> Emacs release?
> >
> > Sounds like a good idea to me; adding Jonas to the CCs.
> 
> I've just added.
> 
> I've added the generated texi file not the org source because to export
> that correctly my ox-texinfo+ package is required.  A new implementation
> of the main feature of that package recently made it into Org's main
> branch, so once the next feature release is merged into Emacs' master
> branch, then we can track the org file instead (on master).

Thanks.

However, if the Texinfo file I just spent an hour fixing was produced
from the Org source, then either the Org source or the conversion from
Org to Texinfo "needs work", because the result had many issues, as
you can see.